### Virtual Method

# Clutter Interval validate

#### Declaration [src]

    gboolean
    validate (
      ClutterInterval* interval,
      GParamSpec* pspec
    )

#### Description [src]

Validates the initial and final values of `interval` against a `GParamSpec`.

#### Parameters

`pspec`

  Type: `GParamSpec`

  A `GParamSpec`.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if the `ClutterInterval` is valid, `FALSE` otherwise.